Bug 245546 - www/py-webassets: Update to 2.0
Summary: www/py-webassets: Update to 2.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/miracle2k/webasset...
Keywords:
Depends on:
Blocks: 245547
  Show dependency treegraph
 
Reported: 2020-04-11 22:07 UTC by Kai Knoblich
Modified: 2020-04-14 14:27 UTC (History)
1 user (show)

See Also:
wg: maintainer-feedback+


Attachments
py-webassets-2.0.patch (1.12 KB, patch)
2020-04-11 22:07 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-11 22:07:45 UTC
Created attachment 213304 [details]
py-webassets-2.0.patch

Hi,

attached is the patch that updates www/py-webassets to 2.0. 

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
- Add location to license file
- Make port concurrent safe as it installs a script outside of Python's site-lib directory.


QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py27, py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 William Grzybowski freebsd_committer 2020-04-13 13:50:20 UTC
Hi Kai,

Thanks for the patch, feel free to commit it and grab maintainership of this and any other of my ports.
Comment 2 commit-hook freebsd_committer 2020-04-14 11:51:23 UTC
A commit references this bug:

Author: kai
Date: Tue Apr 14 11:50:21 UTC 2020
New revision: 531673
URL: https://svnweb.freebsd.org/changeset/ports/531673

Log:
  www/py-webassets: Update to 2.0

  * Make port concurrent safe because it installs scripts outside of Python's
    site-lib directory.

  * Take maintainership.

  Changelog:

  https://github.com/miracle2k/webassets/blob/2.0/CHANGES

  PR:		245546
  Approved by:	wg (maintainer)

Changes:
  head/www/py-webassets/Makefile
  head/www/py-webassets/distinfo
Comment 3 Kai Knoblich freebsd_committer 2020-04-14 14:25:01 UTC
Comment on attachment 213304 [details]
py-webassets-2.0.patch

^ Triage: Maintainer's approval given in comment #1, setting flag accordingly.
Comment 4 Kai Knoblich freebsd_committer 2020-04-14 14:27:02 UTC
(In reply to William Grzybowski from comment #1)

Hi William,

committed, thank you for your approval and offer to take maintainership for this and other ports you maintain. 

I'll keep that mind when I have some patches which affect those ports. :)